Bug 147088 - kernel crash when mounting an autofs filesystem with --bind
kernel crash when mounting an autofs filesystem with --bind
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Moyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-04 06:47 EST by Trond Eivind Glomsrød
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-17 15:03:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trond Eivind Glomsrød 2005-02-04 06:47:35 EST
Description of problem:

System dies instantly with excessive screen spewage when trying to
mount /home (which is handled by autofs) elsewhere with --bind and
access a directory there

mount --bind /home /somewhere/else/home
ls /somewhere/else/home/teg

Version-Release number of selected component (if applicable):

kernel-smp-2.6.9-1.648_EL
Comment 1 Jeff Moyer 2005-02-11 14:15:45 EST
Please include logs.

*** This bug has been marked as a duplicate of 145374 ***
Comment 2 Trond Eivind Glomsrød 2005-02-11 15:50:36 EST
Marking as duplicate of a private bug?
Comment 3 Jeff Moyer 2005-02-11 16:06:59 EST
Terribly sorry about that!
Comment 4 Jeff Moyer 2005-02-11 16:08:05 EST
But please do include the log messages you saw.  If there are multiple oopses,
I'm only interested in the first one.

I'll try to reproduce this soon.
Comment 5 Jeff Moyer 2005-09-19 17:46:57 EDT
I have a kernel patch which should address this issue.  Are you willing to try
out a test kernel?
Comment 6 Trond Eivind Glomsrød 2005-09-20 04:28:04 EDT
Yes.
Comment 7 Jeff Moyer 2006-04-17 15:03:21 EDT
This issue is addressed in kernels versioned 2.6.9-22.6 and later.

Note You need to log in before you can comment on or make changes to this bug.